## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate lcms2-sys

Name:           rust-lcms2-sys
Version:        4.0.5
Release:        %autorelease
Summary:        Bindings for liblcms2

License:        MIT
URL:            https://crates.io/crates/lcms2-sys
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop vendoring and static library features
Patch:          lcms2-sys-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  lcms2-devel

%global _description %{expand:
Bindings for liblcms2 (Little CMS) with support for Linux, macOS, and
Windows. See lcms2 crate for a safe Rust wrapper.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       lcms2-devel

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cc-devel %{_description}

This package contains library source intended for building other packages which
use the "cc" feature of the "%{crate}" crate.

%files       -n %{name}+cc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dynamic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dynamic-devel %{_description}

This package contains library source intended for building other packages which
use the "dynamic" feature of the "%{crate}" crate.

%files       -n %{name}+dynamic-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lcms2-strict-cgats-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lcms2-strict-cgats-devel %{_description}

This package contains library source intended for building other packages which
use the "lcms2-strict-cgats" feature of the "%{crate}" crate.

%files       -n %{name}+lcms2-strict-cgats-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+parallel-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+parallel-devel %{_description}

This package contains library source intended for building other packages which
use the "parallel" feature of the "%{crate}" crate.

%files       -n %{name}+parallel-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
cp -p vendor/LICENSE .
rm -r vendor/

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Apr 02 2024 Fabio Valentini <decathorpe@gmail.com> - 4.0.5-1
- Update to version 4.0.5; Fixes RHBZ#2266200

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Nov 25 2023 Fabio Valentini <decathorpe@gmail.com> - 4.0.4-1
- Update to version 4.0.4; Fixes RHBZ#2236994

* Sun Aug 27 2023 Fabio Valentini <decathorpe@gmail.com> - 4.0.2-1
- Update to version 4.0.2; Fixes RHBZ#2234622

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 4.0.1-1
- Initial import (rhbz#2231910)
## END: Generated by rpmautospec
